hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sean Busbey (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-16242) Upgrade Avro
Date Tue, 19 Jul 2016 14:04:20 GMT

    [ https://issues.apache.org/jira/browse/HBASE-16242?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15384181#comment-15384181
] 

Sean Busbey commented on HBASE-16242:
-------------------------------------

we get it from Hadoop in most module (those are all the 1.7.4 versions), and in the hbase-spark
module we have direct use of 1.7.6 as Ben mentions and we pull in the 1.7.7 versions from
the Spark version we use. The final assembly ends up with 1.7.6 instead of the version Hadoop
ships with, as well, since the direct dependency in the hbase-spark module gets primacy.

It's kind of ugly, this mismatch. those are all different minor versions according to Avro's
versioning rules. Luckily the project is pretty strict about compatibility. That said, I haven't
checked these versions for known issues wrt mixing.

> Upgrade Avro
> ------------
>
>                 Key: HBASE-16242
>                 URL: https://issues.apache.org/jira/browse/HBASE-16242
>             Project: HBase
>          Issue Type: Task
>          Components: dependencies
>            Reporter: Ben McCann
>
> I'd like to see Avro upgraded to 1.8.1 or at the very least 1.7.7



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message